### Name: BasicHTML
### Title: creates a basic HTML page displaying plots and annotations
### Aliases: BasicHTML


### ** Examples

        #example with plots and graphfiles being generated on the fly:
        ## Not run: 
##D         BasicHTML(cmds = list("plot(rnorm(100));","plot(1:10);"), HTMLobjects = list("Fig1.png", "Fig2.png"), Captions=c("Gaussian noise","seq 1:10"),  MenuLabels = c("Marvel at the graph below","scatterplots are nice"), title="Test Page",width=480, height=480, verbose=1, JSCPATH = NULL)
##D         
##D         #example with plots and graphfiles having been generated beforehand:
##D         png("Fig1.png");
##D         plot(rnorm(100));
##D         dev.off()
##D         png("Fig2.png");
##D         plot(1:10);
##D         dev.off();
##D         
##D         BasicHTML( HTMLobjects = list("Fig1.png", "Fig2.png"), Captions=c("Gaussian noise","seq 1:10"), 
##D         MenuLabels = c("Marvel at the graph below","scatterplots are nice"), title="Test Page",
##D         width=480, height=480, verbose=1, JSCPATH = NULL);
##D         
##D         #example with absolute paths for graphfiles :
##D         Fig1 <- paste(tempdir(),"/Fig1.png",sep="")
##D         png(Fig1);
##D         plot(rnorm(100));
##D         dev.off()
##D         Fig2 <- paste(tempdir(),"/Fig2.png",sep="")
##D         png(Fig2);
##D         plot(1:10);
##D         dev.off();
##D         
##D         BasicHTML( HTMLobjects = list(Fig1, Fig2), Captions=c("Gaussian noise","seq 1:10"),  
##D         MenuLabels = c("Marvel at the graph below","scatterplots are nice"), title="Test Page",
##D         width=480, height=480, verbose=1, JSCPATH = NULL);
##D         #cleanup:
##D         #system(paste("rm ", Fig1));system(paste("rm ", Fig2))
## End(Not run)
 #example with sorted table:
 ## Not run: x <- cbind.data.frame(x1 = round(rnorm(10),3), x2 = round(runif(10),3));
 ## Not run: attr(x, "HEADER") <- "some random numbers";
 ## Not run: 
##D BasicHTML(HTMLobjects = list("Fig1.png", x, "Fig2.png"), 
##D         Captions=c("Gaussian noise","Gaussian and uniform random numbers", "seq 1:10"), 
##D         file = paste(Sys.getenv("HOME"), "/public_html/tmp/tmp.html",sep=""), JSCPATH = "../jsc");
## End(Not run)



