### Name: FramedHTML
### Title: creates a framed HTML page displaying plots and annotations
### Aliases: FramedHTML


### ** Examples

        
        #example with plots and graphfiles being generated on the fly:
## Not run: 
##D         FramedHTML(cmds = list("plot(rnorm(100));","plot(1:10);"), HTMLobjects =list("Fig1.png", "Fig2.png"), Captions=c("Gaussian noise","seq 1:10"), MenuLabels1 = c("Label1","Label2"), MenuLabels2 = c("Marvel at the graph below","scatterplots are nice"), Comments  = c("100 random numbers","Simple plot"), title="Test Page",width=480, height=480, verbose=1)
##D         
##D         #example with plots and graphfiles having been generated beforehand:
##D         png("Fig1.png");
##D         plot(rnorm(100));
##D         dev.off()
##D         png("Fig2.png");
##D         plot(1:10);
##D         dev.off();
##D         
##D         FramedHTML( HTMLobjects = list("Fig1.png", "Fig2.png"), Captions=c("Gaussian noise","seq 1:10"), 
##D         MenuLabels1 = c("Label1","Label2"), MenuLabels2 = c("Marvel at the graph below","scatterplots are nice"), 
##D         Comments  = c("100 random numbers","Simple plot"), title="Test Page",width=480, height=480, verbose=1);
##D         
##D         #example with absolute paths for graphfiles :
##D         Fig1 <- paste(tempdir(),"/Fig1.png",sep="")
##D         png(Fig1);
##D         plot(rnorm(100));
##D         dev.off()
##D         Fig2 <- paste(tempdir(),"/Fig2.png",sep="")
##D         png(Fig2);
##D         plot(1:10);
##D         dev.off();
##D         
##D         FramedHTML( HTMLobjects = list(Fig1, Fig2), Captions=c("Gaussian noise","seq 1:10"), 
##D          MenuLabels1 = c("Label1","Label2"), MenuLabels2 = c("Marvel at the graph below","scatterplots are nice"), 
##D          Comments  = c("100 random numbers","Simple plot"), title="Test Page",width=480, height=480, verbose=1);
##D         #cleanup:
##D         #system(paste("rm ", Fig1));system(paste("rm ", Fig2))
## End(Not run)       
         #example with sorted table:
 ## Not run: x <- cbind.data.frame(x1 = round(rnorm(10),3), x2 = round(runif(10),3));
 ## Not run: attr(x, "HEADER") <- "some random numbers";
 ## Not run: 
##D FramedHTML(HTMLobjects = list("Fig1.png", x, "Fig2.png"), 
##D         MenuLabels1 = c("Label1","Label2","Label3"), MenuLabels2 = c("Marvel at the graph below","JavaScript rocks","scatterplots are nice"),
##D         Captions=c("Gaussian noise","Gaussian and uniform random numbers", "seq 1:10"),
##D          path = "tmp", file = "index");
## End(Not run)
 



